VERSION 5.00
Begin VB.Form frmWindowList 
   Caption         =   "Form1"
   ClientHeight    =   4890
   ClientLeft      =   1620
   ClientTop       =   1545
   ClientWidth     =   4440
   LinkTopic       =   "Form1"
   ScaleHeight     =   4890
   ScaleWidth      =   4440
   Begin VB.Timer tmrWait 
      Enabled         =   0   'False
      Interval        =   1000
      Left            =   3120
      Top             =   120
   End
   Begin VB.TextBox txtWindows 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   4095
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   720
      Width           =   4215
   End
   Begin VB.CommandButton cmdListWindows 
      Caption         =   "List Windows"
      Height          =   495
      Left            =   1560
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
End
Attribute VB_Name = "frmWindowList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function EnumWindows Lib "user32" (ByVal lpEnumFunc As Any, ByVal lParam As Long) As Long
' Start the enumeration.
Private Sub cmdListWindows_Click()
    ' Erase any old information.
    Erase ProcInfo
    NumProcs = 0
    
    txtWindows.Text = ""
    EnumWindows AddressOf EnumProc, 0

    ' Wait for the enumeration to finish.
    tmrWait.Enabled = True
End Sub


Private Sub Form_Resize()
Dim hgt As Single
Dim t As Single

    cmdListWindows.Move _
        (ScaleWidth - cmdListWindows.Width) / 2, _
        0
    t = cmdListWindows.Height + 30
    hgt = ScaleHeight - t
    If hgt < 120 Then hgt = 120
    txtWindows.Move 0, t, _
        ScaleWidth, hgt
End Sub


Private Sub tmrWait_Timer()
Dim i As Integer
Dim txt As String

    txt = _
        Format$("Title", "!@@@@@@@@@@@@@@@@@@@@@") & _
        Format$("Hwnd", "!@@@@@@@@@@") & _
        Format$("Placement", "!@@@@@@@@@@") & _
        Format$("Left", "@@@@@@") & _
        Format$("Top", "@@@@@@") & _
        Format$("Right", "@@@@@@") & _
        Format$(" Bottom", "@@@@@@") & _
        vbCrLf
    txt = txt & _
        "-------------------- " & _
        "--------- " & _
        "--------- " & _
        " -----" & _
        " -----" & _
        " -----" & _
        " -----" & _
        vbCrLf
    tmrWait.Enabled = False
    For i = 1 To NumProcs
        With ProcInfo(i)
            txt = txt & _
                Format$(.Title, "!@@@@@@@@@@@@@@@@@@@@@") & _
                Format$(.AppHwnd, "!@@@@@@@@@@") & _
                Format$(.Placement, "!@@@@@@@@@@") & _
                Format$(.Left, "@@@@@@") & _
                Format$(.Top, "@@@@@@") & _
                Format$(.Right, "@@@@@@") & _
                Format$(.Bottom, "@@@@@@") & _
                vbCrLf
        End With
    Next i
    txtWindows.Text = txt
End Sub
